Get mAccount Balance
GET
https://api.mpay.com.au/mAccount/v1/financials/{childCardNumber}
Path Parameters
- childCardNumberstringrequiredExampleDescriptionDefault4212800000000001Pattern^[0-9]{16}$
Responses
200
- mAccountGetFinancialsResponse_V1Description
- financialsmAccountFinancialsDescription
- accountNumberstringExampleDescriptionDefault4212800000000001Pattern^[0-9]{16}$
- actualBalancenumberExampleDescriptionDefault1750.5Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- creditLimitnumberExampleDescriptionDefault5000Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- availableToDebitnumberExampleDescriptionDefault6750.5Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- availableToCreditnumberExampleDescriptionDefault25000Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- lowerCreditLimitnumberDescriptionDefault0Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- upperCreditLimitnumberExampleDescriptionDefault10000Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- minimumSettlementAmountnumberExampleDescriptionDefault100Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- settlementFrequencystringExampleDescriptionDefaultDailyPattern^(Daily|Weekly|Monthly|Never)$
- clearedFundsOnlystringExampleDescriptionDefaultfalsePattern^(true|false)$
- isChildAccountstringExampleDescriptionDefaulttruePattern^(true|false)$
- isParentAccountstringExampleDescriptionDefaultfalsePattern^(true|false)$
- isFeeAccountstringExampleDescriptionDefaultfalsePattern^(true|false)$
- isParentClearedFundsstringExampleDescriptionDefaultfalsePattern^(true|false)$
- hasSeparateFeeAccountstringExampleDescriptionDefaulttruePattern^(true|false)$
- feeAccountActualBalancenumberExampleDescriptionDefault320.75Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- clearedFundsAccountFinancialsmAccountClearedFundsAccountDescription
- availableBalancenumberExampleDescriptionDefault1500Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- unclearedFundsnumberExampleDescriptionDefault250.5Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- uniqueReferencesWaitingToClearstring[]Example
[ "INV-100234", "INV-100235" ]
DescriptionDefaultINV-100234,INV-100235
- feeAccountNumberstringExampleDescriptionDefault4212800000000099Pattern^[0-9]{16}$
- nppBalancenumberExampleDescriptionDefault1750.5Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- nppPayoutLimitnumberExampleDescriptionDefault20000Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- iftiNppBalancenumberExampleDescriptionDefault500Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- iftiNppPayoutLimitnumberExampleDescriptionDefault10000Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- directDebitBalancenumberExampleDescriptionDefault1250Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- directDebitLimitnumberExampleDescriptionDefault15000Pattern^-?[0-9]{1,13}(\.[0-9]{1,2})?$
- durationMsintegerExampleDescriptionDefault105Pattern^[0-9]{1,7}$
- statusstringExampleDescriptionDefaultOkPattern^[A-Za-z]{2,40}$
- statusDescriptionstringExampleDescriptionDefaultOperation completed successfullyPattern^.{1,500}$
400
- errorResponseDescription
- durationMsintegerExampleDescriptionDefault42Pattern^[0-9]{1,7}$
- statusstringExampleDescriptionDefaultExceptionPattern^[A-Za-z]{2,40}$
- statusDescriptionstringExampleDescriptionDefaultOne or more validation errors occurred.Pattern^.{1,500}$
- errorCodestringExampleDescriptionDefaultValidationErrorPattern^[A-Za-z0-9_.-]{1,50}$
- traceLogIdstringExampleDescriptionDefaulta1b2c3d4-5e6f-7081-92a3-b4c5d6e7f809Pattern^[A-Za-z0-9-]{1,64}$
401
- errorResponseDescription
- durationMsintegerExampleDescriptionDefault42Pattern^[0-9]{1,7}$
- statusstringExampleDescriptionDefaultExceptionPattern^[A-Za-z]{2,40}$
- statusDescriptionstringExampleDescriptionDefaultOne or more validation errors occurred.Pattern^.{1,500}$
- errorCodestringExampleDescriptionDefaultValidationErrorPattern^[A-Za-z0-9_.-]{1,50}$
- traceLogIdstringExampleDescriptionDefaulta1b2c3d4-5e6f-7081-92a3-b4c5d6e7f809Pattern^[A-Za-z0-9-]{1,64}$
500
- errorResponseDescription
- durationMsintegerExampleDescriptionDefault42Pattern^[0-9]{1,7}$
- statusstringExampleDescriptionDefaultExceptionPattern^[A-Za-z]{2,40}$
- statusDescriptionstringExampleDescriptionDefaultOne or more validation errors occurred.Pattern^.{1,500}$
- errorCodestringExampleDescriptionDefaultValidationErrorPattern^[A-Za-z0-9_.-]{1,50}$
- traceLogIdstringExampleDescriptionDefaulta1b2c3d4-5e6f-7081-92a3-b4c5d6e7f809Pattern^[A-Za-z0-9-]{1,64}$
curl
curl --request GET \
--url https://api.mpay.com.au/mAccount/v1/financials/{childCardNumber} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.mpay.com.au/mAccount/v1/financials/{childCardNumber}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.mpay.com.au/mAccount/v1/financials/{childCardNumber}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.mpay.com.au/mAccount/v1/financials/{childCardNumber}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful validation. The mAccount financials were returned.
{
"financials": {
"accountNumber": "4212800000000001",
"actualBalance": 1750.5,
"creditLimit": 5000,
"availableToDebit": 6750.5,
"availableToCredit": 25000,
"lowerCreditLimit": 0,
"upperCreditLimit": 10000,
"minimumSettlementAmount": 100,
"settlementFrequency": "Daily",
"clearedFundsOnly": "false",
"isChildAccount": "true",
"isParentAccount": "false",
"isFeeAccount": "false",
"isParentClearedFunds": "false",
"hasSeparateFeeAccount": "true",
"feeAccountActualBalance": 320.75,
"clearedFundsAccountFinancials": {
"availableBalance": 1500,
"unclearedFunds": 250.5,
"uniqueReferencesWaitingToClear": [
"INV-100234"
]
},
"feeAccountNumber": "4212800000000099",
"nppBalance": 1750.5,
"nppPayoutLimit": 20000,
"iftiNppBalance": 500,
"iftiNppPayoutLimit": 10000,
"directDebitBalance": 1250,
"directDebitLimit": 15000
},
"durationMs": 105,
"status": "Ok",
"statusDescription": "Operation completed successfully"
}400
// Bad request. The request could not be processed because one or more fields failed validation, were malformed, or were missing.
{
"durationMs": 42,
"status": "Exception",
"statusDescription": "One or more validation errors occurred.",
"errorCode": "ValidationError",
"traceLogId": "a1b2c3d4-5e6f-7081-92a3-b4c5d6e7f809"
}401
// Unauthorized. The API key was missing, invalid, or is not permitted to access the requested mAccount.
{
"durationMs": 42,
"status": "Exception",
"statusDescription": "One or more validation errors occurred.",
"errorCode": "ValidationError",
"traceLogId": "a1b2c3d4-5e6f-7081-92a3-b4c5d6e7f809"
}500
// Internal server error. An unexpected condition prevented the Platform from completing the request. Retry the request or contact Monoova support quoting the traceLogId.
{
"durationMs": 42,
"status": "Exception",
"statusDescription": "One or more validation errors occurred.",
"errorCode": "ValidationError",
"traceLogId": "a1b2c3d4-5e6f-7081-92a3-b4c5d6e7f809"
}